/// <reference types="node" />
import { OutgoingHttpHeaders, Server } from 'node:http';
import { CorsOptions, WatchOptions, PluginOption, CSSOptions } from 'vite';
export interface WinkeyProjectConfig {
    root?: string;
    name?: string;
    workflow: 'vite';
    platform?: 'pc' | 'mobile';
    version?: string;
    yarn?: boolean;
    cacheDir?: string;
    dest?: {
        basePath?: string;
        jsPath?: string;
        cssPath?: string;
        htmlPath?: string;
        imagesPath?: string;
        revPath?: string;
    };
    alias?: {
        srcRoot?: string;
    } | {
        find: string;
        replacement: string;
    }[];
    server?: {
        port?: number;
        strictPort?: boolean;
        https?: boolean;
        open?: string | boolean;
        cors?: boolean | CorsOptions;
        headers?: OutgoingHttpHeaders;
        hmr?: boolean | {
            protocol?: string;
            host?: string;
            port?: number;
            path?: string;
            timeout?: number;
            overlay?: boolean;
            clientPort?: number;
            server?: Server;
        };
        watch?: WatchOptions;
    };
    cssModules?: boolean;
    clearScreen?: boolean;
    limitSize?: number;
    outDir?: string;
    plugins?: PluginOption[];
    css?: CSSOptions;
}
export declare const initWinkeyConfig: (winkeyConfig: WinkeyProjectConfig, viteConfig?: {
    mode: string;
    command: string;
    ssrBuilr: boolean;
} | undefined) => import("vite").UserConfig;
